package com.huigou.topsun.proofing.application;

import com.huigou.topsun.proofing.domain.vo.WorkInstructionVo;
import com.huigou.topsun.proofing.domain.workInstruction.model.WorkInstructionBaseInfo;
import com.huigou.topsun.proofing.domain.workInstruction.query.WorkInstructionBaseInfoQueryRequest;
import com.huigou.util.SDO;

import java.util.List;
import java.util.Map;

public interface WorkInstructionApplication {

    String QUERY_XML_FILE_PATH = "config/topsun/proofing/workInstruction.xml";
    /**
     * 编辑作业指导书及相关信息表
     * @param sdo
     * @return
     */
    Map<String,Object> saveWorkInstruction(SDO sdo);

    Map<String,Object> slicedWorkInstructionBaseInfoList(WorkInstructionBaseInfoQueryRequest queryRequest);

    WorkInstructionVo getWorkInstructionVoById(String id);

    void deleteWorkInstructionById(String id);

    void deleteWorkInstructionByIds(List<String> ids);
}
